export var svgElementAttributes = {
  '*': [
    'about',
    'class',
    'content',
    'datatype',
    'id',
    'lang',
    'property',
    'rel',
    'resource',
    'rev',
    'style',
    'tabindex',
    'typeof'
  ],
  a: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'download',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'href',
    'hreflang',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'ping',
    'pointer-events',
    'referrerpolicy',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'target',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'type',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  altGlyph: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'dx',
    'dy',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'format',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'glyphRef',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'rotate',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  animate: [
    'accumulate',
    'additive',
    'alignment-baseline',
    'attributeName',
    'attributeType',
    'baseline-shift',
    'begin',
    'by',
    'calcMode',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'dur',
    'enable-background',
    'end',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'from',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'href',
    'image-rendering',
    'kerning',
    'keySplines',
    'keyTimes',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'max',
    'min',
    'opacity',
    'overflow',
    'pointer-events',
    'repeatCount',
    'repeatDur',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'restart',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'to',
    'unicode-bidi',
    'values',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  animateColor: [
    'accumulate',
    'additive',
    'alignment-baseline',
    'attributeName',
    'attributeType',
    'baseline-shift',
    'begin',
    'by',
    'calcMode',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'dur',
    'enable-background',
    'end',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'from',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'keySplines',
    'keyTimes',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'max',
    'min',
    'opacity',
    'overflow',
    'pointer-events',
    'repeatCount',
    'repeatDur',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'restart',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'to',
    'unicode-bidi',
    'values',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  animateMotion: [
    'accumulate',
    'additive',
    'begin',
    'by',
    'calcMode',
    'dur',
    'end',
    'externalResourcesRequired',
    'fill',
    'from',
    'href',
    'keyPoints',
    'keySplines',
    'keyTimes',
    'max',
    'min',
    'origin',
    'path',
    'repeatCount',
    'repeatDur',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'restart',
    'rotate',
    'systemLanguage',
    'to',
    'values'
  ],
  animateTransform: [
    'accumulate',
    'additive',
    'attributeName',
    'attributeType',
    'begin',
    'by',
    'calcMode',
    'dur',
    'end',
    'externalResourcesRequired',
    'fill',
    'from',
    'href',
    'keySplines',
    'keyTimes',
    'max',
    'min',
    'repeatCount',
    'repeatDur',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'restart',
    'systemLanguage',
    'to',
    'type',
    'values'
  ],
  animation: [
    'begin',
    'dur',
    'end',
    'externalResourcesRequired',
    'fill',
    'focusHighlight',
    'focusable',
    'height',
    'initialVisibility',
    'max',
    'min',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'preserveAspectRatio',
    'repeatCount',
    'repeatDur',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'restart',
    'syncBehavior',
    'syncMaster',
    'syncTolerance',
    'systemLanguage',
    'transform',
    'width',
    'x',
    'y'
  ],
  audio: [
    'begin',
    'dur',
    'end',
    'externalResourcesRequired',
    'fill',
    'max',
    'min',
    'repeatCount',
    'repeatDur',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'restart',
    'syncBehavior',
    'syncMaster',
    'syncTolerance',
    'systemLanguage',
    'type'
  ],
  canvas: ['preserveAspectRatio', 'requiredExtensions', 'systemLanguage'],
  circle: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'cx',
    'cy',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pathLength',
    'pointer-events',
    'r',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  clipPath: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'clipPathUnits',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  'color-profile': ['local', 'name', 'rendering-intent'],
  cursor: [
    'externalResourcesRequired',
    'requiredExtensions',
    'requiredFeatures',
    'systemLanguage',
    'x',
    'y'
  ],
  defs: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  desc: [
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'systemLanguage'
  ],
  discard: [
    'begin',
    'href',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'systemLanguage'
  ],
  ellipse: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'cx',
    'cy',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pathLength',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'rx',
    'ry',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  feBlend: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'in2',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'mode',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feColorMatrix: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'type',
    'unicode-bidi',
    'values',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feComponentTransfer: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feComposite: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'in2',
    'k1',
    'k2',
    'k3',
    'k4',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'operator',
    'overflow',
    'pointer-events',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feConvolveMatrix: [
    'alignment-baseline',
    'baseline-shift',
    'bias',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'divisor',
    'dominant-baseline',
    'edgeMode',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'kernelMatrix',
    'kernelUnitLength',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'order',
    'overflow',
    'pointer-events',
    'preserveAlpha',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'targetX',
    'targetY',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feDiffuseLighting: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'diffuseConstant',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'kernelUnitLength',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'surfaceScale',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feDisplacementMap: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'in2',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'scale',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'xChannelSelector',
    'y',
    'yChannelSelector'
  ],
  feDistantLight: ['azimuth', 'elevation'],
  feDropShadow: [
    'dx',
    'dy',
    'height',
    'in',
    'result',
    'stdDeviation',
    'width',
    'x',
    'y'
  ],
  feFlood: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feFuncA: [
    'amplitude',
    'exponent',
    'intercept',
    'offset',
    'slope',
    'tableValues',
    'type'
  ],
  feFuncB: [
    'amplitude',
    'exponent',
    'intercept',
    'offset',
    'slope',
    'tableValues',
    'type'
  ],
  feFuncG: [
    'amplitude',
    'exponent',
    'intercept',
    'offset',
    'slope',
    'tableValues',
    'type'
  ],
  feFuncR: [
    'amplitude',
    'exponent',
    'intercept',
    'offset',
    'slope',
    'tableValues',
    'type'
  ],
  feGaussianBlur: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'edgeMode',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'shape-rendering',
    'stdDeviation',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feImage: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'crossorigin',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'href',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'preserveAspectRatio',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feMerge: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feMergeNode: ['in'],
  feMorphology: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'operator',
    'overflow',
    'pointer-events',
    'radius',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feOffset: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'dx',
    'dy',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  fePointLight: ['x', 'y', 'z'],
  feSpecularLighting: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'kernelUnitLength',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'shape-rendering',
    'specularConstant',
    'specularExponent',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'surfaceScale',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feSpotLight: [
    'limitingConeAngle',
    'pointsAtX',
    'pointsAtY',
    'pointsAtZ',
    'specularExponent',
    'x',
    'y',
    'z'
  ],
  feTile: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'in',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  feTurbulence: [
    'alignment-baseline',
    'baseFrequency',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'numOctaves',
    'opacity',
    'overflow',
    'pointer-events',
    'result',
    'seed',
    'shape-rendering',
    'stitchTiles',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'type',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  filter: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'filterRes',
    'filterUnits',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'primitiveUnits',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  font: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'horiz-adv-x',
    'horiz-origin-x',
    'horiz-origin-y',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'vert-adv-y',
    'vert-origin-x',
    'vert-origin-y',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  'font-face': [
    'accent-height',
    'alphabetic',
    'ascent',
    'bbox',
    'cap-height',
    'descent',
    'externalResourcesRequired',
    'font-family',
    'font-size',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'hanging',
    'ideographic',
    'mathematical',
    'overline-position',
    'overline-thickness',
    'panose-1',
    'slope',
    'stemh',
    'stemv',
    'strikethrough-position',
    'strikethrough-thickness',
    'underline-position',
    'underline-thickness',
    'unicode-range',
    'units-per-em',
    'v-alphabetic',
    'v-hanging',
    'v-ideographic',
    'v-mathematical',
    'widths',
    'x-height'
  ],
  'font-face-format': ['string'],
  'font-face-name': ['name'],
  'font-face-uri': ['externalResourcesRequired'],
  foreignObject: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  g: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  glyph: [
    'alignment-baseline',
    'arabic-form',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'd',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-name',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'horiz-adv-x',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'orientation',
    'overflow',
    'pointer-events',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode',
    'unicode-bidi',
    'vert-adv-y',
    'vert-origin-x',
    'vert-origin-y',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  glyphRef: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'dx',
    'dy',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'format',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'glyphRef',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  handler: ['externalResourcesRequired', 'type'],
  hkern: ['g1', 'g2', 'k', 'u1', 'u2'],
  iframe: ['requiredExtensions', 'systemLanguage'],
  image: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'crossorigin',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'href',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pointer-events',
    'preserveAspectRatio',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'type',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  line: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pathLength',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode',
    'x1',
    'x2',
    'y1',
    'y2'
  ],
  linearGradient: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'gradientTransform',
    'gradientUnits',
    'href',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'shape-rendering',
    'spreadMethod',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode',
    'x1',
    'x2',
    'y1',
    'y2'
  ],
  listener: [
    'defaultAction',
    'event',
    'handler',
    'observer',
    'phase',
    'propagate',
    'target'
  ],
  marker: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'markerHeight',
    'markerUnits',
    'markerWidth',
    'mask',
    'opacity',
    'orient',
    'overflow',
    'pointer-events',
    'preserveAspectRatio',
    'refX',
    'refY',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'viewBox',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  mask: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'maskContentUnits',
    'maskUnits',
    'opacity',
    'overflow',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  metadata: [
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'systemLanguage'
  ],
  'missing-glyph': [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'd',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'horiz-adv-x',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'vert-adv-y',
    'vert-origin-x',
    'vert-origin-y',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  mpath: ['externalResourcesRequired', 'href'],
  path: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'd',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pathLength',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  pattern: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'href',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'patternContentUnits',
    'patternTransform',
    'patternUnits',
    'pointer-events',
    'preserveAspectRatio',
    'requiredExtensions',
    'requiredFeatures',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'viewBox',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  polygon: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pathLength',
    'pointer-events',
    'points',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  polyline: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pathLength',
    'pointer-events',
    'points',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  prefetch: [
    'bandwidth',
    'mediaCharacterEncoding',
    'mediaContentEncodings',
    'mediaSize',
    'mediaTime'
  ],
  radialGradient: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'cx',
    'cy',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'fr',
    'fx',
    'fy',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'gradientTransform',
    'gradientUnits',
    'href',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'r',
    'shape-rendering',
    'spreadMethod',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  rect: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pathLength',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'rx',
    'ry',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  script: ['crossorigin', 'externalResourcesRequired', 'href', 'type'],
  set: [
    'attributeName',
    'attributeType',
    'begin',
    'dur',
    'end',
    'externalResourcesRequired',
    'fill',
    'href',
    'max',
    'min',
    'repeatCount',
    'repeatDur',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'restart',
    'systemLanguage',
    'to'
  ],
  stop: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'offset',
    'opacity',
    'overflow',
    'pointer-events',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  style: ['media', 'title', 'type'],
  svg: [
    'alignment-baseline',
    'baseProfile',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'contentScriptType',
    'contentStyleType',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'playbackOrder',
    'playbackorder',
    'pointer-events',
    'preserveAspectRatio',
    'requiredExtensions',
    'requiredFeatures',
    'shape-rendering',
    'snapshotTime',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'syncBehaviorDefault',
    'syncToleranceDefault',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'timelineBegin',
    'timelinebegin',
    'transform',
    'unicode-bidi',
    'version',
    'viewBox',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y',
    'zoomAndPan'
  ],
  switch: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  symbol: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'preserveAspectRatio',
    'refX',
    'refY',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'unicode-bidi',
    'viewBox',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  tbreak: [
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'systemLanguage'
  ],
  text: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'dx',
    'dy',
    'editable',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'lengthAdjust',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'rotate',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'textLength',
    'transform',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  textArea: [
    'editable',
    'focusHighlight',
    'focusable',
    'height',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'systemLanguage',
    'transform',
    'width',
    'x',
    'y'
  ],
  textPath: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'href',
    'image-rendering',
    'kerning',
    'lengthAdjust',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'method',
    'opacity',
    'overflow',
    'path',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'shape-rendering',
    'side',
    'spacing',
    'startOffset',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'textLength',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode'
  ],
  title: [
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'systemLanguage'
  ],
  tref: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'dx',
    'dy',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'lengthAdjust',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'opacity',
    'overflow',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'rotate',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'textLength',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  tspan: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'dx',
    'dy',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'image-rendering',
    'kerning',
    'lengthAdjust',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'rotate',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'textLength',
    'unicode-bidi',
    'visibility',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  unknown: ['requiredExtensions', 'systemLanguage'],
  use: [
    'alignment-baseline',
    'baseline-shift',
    'clip',
    'clip-path',
    'clip-rule',
    'color',
    'color-interpolation',
    'color-interpolation-filters',
    'color-profile',
    'color-rendering',
    'cursor',
    'direction',
    'display',
    'dominant-baseline',
    'enable-background',
    'externalResourcesRequired',
    'fill',
    'fill-opacity',
    'fill-rule',
    'filter',
    'flood-color',
    'flood-opacity',
    'focusHighlight',
    'focusable',
    'font-family',
    'font-size',
    'font-size-adjust',
    'font-stretch',
    'font-style',
    'font-variant',
    'font-weight',
    'glyph-orientation-horizontal',
    'glyph-orientation-vertical',
    'height',
    'href',
    'image-rendering',
    'kerning',
    'letter-spacing',
    'lighting-color',
    'marker-end',
    'marker-mid',
    'marker-start',
    'mask',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'opacity',
    'overflow',
    'pointer-events',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'shape-rendering',
    'stop-color',
    'stop-opacity',
    'stroke',
    'stroke-dasharray',
    'stroke-dashoffset',
    'stroke-linecap',
    'stroke-linejoin',
    'stroke-miterlimit',
    'stroke-opacity',
    'stroke-width',
    'systemLanguage',
    'text-anchor',
    'text-decoration',
    'text-rendering',
    'transform',
    'unicode-bidi',
    'visibility',
    'width',
    'word-spacing',
    'writing-mode',
    'x',
    'y'
  ],
  video: [
    'begin',
    'dur',
    'end',
    'externalResourcesRequired',
    'fill',
    'focusHighlight',
    'focusable',
    'height',
    'initialVisibility',
    'max',
    'min',
    'nav-down',
    'nav-down-left',
    'nav-down-right',
    'nav-left',
    'nav-next',
    'nav-prev',
    'nav-right',
    'nav-up',
    'nav-up-left',
    'nav-up-right',
    'overlay',
    'preserveAspectRatio',
    'repeatCount',
    'repeatDur',
    'requiredExtensions',
    'requiredFeatures',
    'requiredFonts',
    'requiredFormats',
    'restart',
    'syncBehavior',
    'syncMaster',
    'syncTolerance',
    'systemLanguage',
    'transform',
    'transformBehavior',
    'type',
    'width',
    'x',
    'y'
  ],
  view: [
    'externalResourcesRequired',
    'preserveAspectRatio',
    'viewBox',
    'viewTarget',
    'zoomAndPan'
  ],
  vkern: ['g1', 'g2', 'k', 'u1', 'u2']
}
